## ros-melodic-uuv-gazebo-plugins 0.6.13

=== debian/changelog ===
ros-melodic-uuv-gazebo-plugins (0.6.13-0stretch) stretch; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Sun, 11 Aug 2019 22:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.6.12-0stretch) stretch; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Wed, 22 May 2019 22:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.6.11-0stretch) stretch; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Wed, 20 Mar 2019 23:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.6.10-0stretch) stretch; urgency=high

  * Fix dynamic linking for test build
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Replace boost::shared_ptr for std::shared_ptr
    Signed-off-by: Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>
  * Add boost library dependencies to test build
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Fix errors from catkin_lint
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Wed, 27 Feb 2019 23:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.6.9-0stretch) stretch; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Mon, 25 Feb 2019 23:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.6.8-0stretch) stretch; urgency=high

  * Fix bug where thruster axis is determined incorrectly if it rotates about the negative axis
    Signed-off-by: Jordan Lack <mailto:jlack1987@gmail.com>
  * Contributors: Jordan Lack

 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Wed, 13 Feb 2019 23:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.6.7-0stretch) stretch; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Tue, 12 Feb 2019 23:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.6.6-0stretch) stretch; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Mon, 11 Feb 2019 23:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.6.5-0stretch) stretch; urgency=high

  * Fix gazebo_dev dependency
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Wed, 06 Feb 2019 23:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.6.4-0stretch) stretch; urgency=high

  * FIX Dependency errors for ROS Buildfarm
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Sat, 02 Feb 2019 23:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.6.3-0stretch) stretch; urgency=high

  * FIX Access to joint axis and pose for Gazebo 9 API
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:Musa.Marcusso@de.bosch.com>
  * CHANGE Use lowercase strings for e-mail
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Removed Unicode characters U+201C and U+2013
    Signed-off-by: Henrique Baqueiro <mailto:hbaqueiro@gmail.com>
  * Update thruster manager python to parse joint axes from urdf string via robot_description
    Update gazebo ThrusterPlugin to get the thruster joint axis from the Joint API instead of hard coding it to be the x-axis
    Signed-off-by: Jordan Lack <mailto:jlack1987@gmail.com>
  * Contributors: Henrique Baqueiro, Jordan Lack, Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Wed, 12 Dec 2018 23:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.6.2-0stretch) stretch; urgency=high

  * ADD rosunit to test dependency
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * FIX Compilation configuration
    * Move add_livrary for Gazebo Protobuf messages after catkin_package (fix catkin lint output)
    * Add uuv_ prefix to all plugins generated
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Sun, 02 Dec 2018 23:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.6.1-0stretch) stretch; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Thu, 02 Aug 2018 22:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.6.0-0stretch) stretch; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Mon, 30 Jul 2018 22:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.5.13-0stretch) stretch; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Mon, 23 Jul 2018 22:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.5.12-0stretch) stretch; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Sun, 22 Jul 2018 22:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.5.11-0stretch) stretch; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.5.10-0stretch) stretch; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Mon, 09 Jul 2018 22:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.5.9-0stretch) stretch; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Sun, 08 Jul 2018 22:00:00 -0000

ros-melodic-uuv-gazebo-plugins (0.5.8-0stretch) stretch; urgency=high

  * RM Installation of test folder
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * Changed submergedHeight calculation to be more precise
    Signed-off-by: Guy Stoppi <mailto:gstoppi@clearpathrobotics.com>
  * Applied buoyancy force in the world frame to surface vessels
    Signed-off-by: Guy Stoppi <mailto:gstoppi@clearpathrobotics.com>
  * Contributors: Guy Stoppi, Musa Morena Marcusso Manhaes, Musa Morena Marcusso Manhães


